/* BLOCK: Form */
.block-form .main-wrapper {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: start;
}

.block-form .text-wrapper {
    padding-right: 7.75rem;
    text-align: left;
    align-items: flex-end;
}

.block-form .text-wrapper p.h7 {
    color: var(--c-tertiary);
    font-weight: 600;
    margin-bottom: 2.5rem;
}

.block-form .text-wrapper h4 {
    margin-bottom: 3.75rem;
}

.block-form .feature-list {
    margin:0;
    padding:0;
    list-style: none;

    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.block-form .feature-list .feature-list__item {
    display: flex;
    align-items: flex-start;
    gap: 1.563rem;
}

.block-form .feature-list .feature-list__item svg {
    color: var(--c-tertiary);
    flex: 0 0 auto;
    width: 0.9375rem;
}

.block-form .text-wrapper img {
    margin-top: 7.438rem;
}

.block-form .form-wrapper {
    padding: 3.125rem;
    border-radius: 1.563rem;
}

.block-form .form-wrapper input:not([type="submit"]),
.block-form .form-wrapper textarea {
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    background-color: var(--c-bg-light);
    padding: 1.25rem;
}

.block-form .form-wrapper input:not([type="submit"])::placeholder,
.block-form .form-wrapper textarea::placeholder {
    font-size: var(--font-15-14);
    color: var(--c-text-dark);
}

.block-form .form-wrapper label {
    font-size: var(--font-12-10);
    font-weight: 600;
    color: var(--c-primary);
    margin-bottom: 0.5rem;
    line-height: 1;
}

.block-form .form-wrapper .gform-body .gform_fields {
    row-gap: 1.563rem;
}

.block-form .form-wrapper .gform_wrapper h6 {
    margin-bottom: 1.563rem;
}

.block-form .form-wrapper .ginput_container_consent {
    display: flex;
    align-items: center;
    gap: 0.938rem;
}

.block-form .form-wrapper .gfield_consent_label {
    font-size: var(--font-15-11);
    font-weight: 400;
    margin:0;
}

.block-form .form-wrapper .gfield_consent_label a {
    font-weight: 600;
}

.block-form .form-wrapper input[type="checkbox"] {
    position: relative;
    display: grid;
    place-items: center;

    width: 1.875rem;
    height: 1.875rem;
    border-radius: 0.5rem;
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    margin:0;
    appearance: none;
    -webkit-appearance: none;
    padding: 0;
}

.block-form .form-wrapper input[type="checkbox"]:checked::after {
    content: '';
    display: block;
    width: .75rem;
    height: .375rem;
    border: solid currentColor;
    border-width: 0px 0px 2px 2px;
    transform: translateY(-1px) rotate(-45deg);
}

.block-form .form-wrapper .gform-footer {
    margin-top: 3.125rem;
}


.block-form .gform_wrapper .gfield--type-html:not(:last-child) {
    margin-bottom: 0;
}


@media screen and (width <= 620px) {
    .block-form .main-wrapper {
        display: flex;
        flex-direction: column;
        gap: 4.688rem;
    }

    .block-form .text-wrapper {
        padding: 0;
    }

    .block-form .text-wrapper p.h7 {
        margin-bottom: 1.875rem;
    }

    .block-form .text-wrapper h4 {
        margin-bottom: 2.5rem;
    }

    .block-form .feature-list .feature-list__item {
        gap: 1.25rem;
    }

    .block-form .form-wrapper {
        padding: 1.375rem;
    }

    .block-form .form-wrapper .gform-body .gform_fields {
        row-gap: 1.25rem;
    }

    .block-form .form-wrapper .gform_wrapper h6 {
        margin-bottom:1.875rem;
    }

    .block-form .feature-list .feature-list__item svg {
        width: 0.6875rem;
    }
}